Bug 639863 - Does not work correctly with Python 2.4 in RHEL5
Summary: Does not work correctly with Python 2.4 in RHEL5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: duplicity
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-04 08:58 UTC by Alex Samorukov
Modified: 2011-03-01 00:02 UTC (History)
2 users (show)

Fixed In Version: duplicity-0.6.11-1.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-31 20:19:04 UTC


Attachments (Terms of Use)
fix for duplicity and python < 2.5 (1.13 KB, patch)
2010-10-04 11:22 UTC, Alex Samorukov
no flags Details | Diff

Description Alex Samorukov 2010-10-04 08:58:59 UTC
Description of problem:
Starting from 0.6.09 duplicity fail to work correctly with python 2.4.3.



Version-Release number of selected component (if applicable):
duplicity-0.6.09-1.el5


How reproducible:
try to do any action with the remote backup stored on amazon

Steps to Reproduce:
Run
/usr/bin/duplicity collection-status --no-encryption  s3+http://test-1234 -v9
  
Actual results:
Using archive dir: /root/.cache/duplicity/cfc9e024713f1476306d7e1a4981d207
Using backup name: cfc9e024713f1476306d7e1a4981d207
Import of duplicity.backends.imapbackend Succeeded
Import of duplicity.backends.webdavbackend Succeeded
Import of duplicity.backends.ftpbackend Succeeded
Import of duplicity.backends.sshbackend Succeeded
Import of duplicity.backends.giobackend Failed: No module named gio
Import of duplicity.backends.hsibackend Succeeded
Import of duplicity.backends.tahoebackend Succeeded
Import of duplicity.backends.botobackend Failed: invalid syntax (botobackend.py, line 190)
Import of duplicity.backends.cloudfilesbackend Succeeded
Import of duplicity.backends.localbackend Succeeded
Import of duplicity.backends.rsyncbackend Succeeded
Using temporary directory /tmp/duplicity-6NtU4X-tempdir
User error detail: Traceback (most recent call last):
  File "/usr/bin/duplicity", line 1239, in ?
    with_tempdir(main)
  File "/usr/bin/duplicity", line 1232, in with_tempdir
    fn()
  File "/usr/bin/duplicity", line 1118, in main
    action = commandline.ProcessCommandLine(sys.argv[1:])
  File "/usr/lib/python2.4/site-packages/duplicity/commandline.py", line 903, in ProcessCommandLine
    globals.backend = backend.get_backend(args[0])
  File "/usr/lib/python2.4/site-packages/duplicity/backend.py", line 151, in get_backend
    raise UnsupportedBackendScheme(url_string)
UnsupportedBackendScheme: scheme not supported in url: s3+http://test-123


Expected results:
It should check collection status

Additional info:

Bug is reported to upstream also:

https://bugs.launchpad.net/duplicity/+bug/629984

Comment 1 Alex Samorukov 2010-10-04 11:22:01 UTC
Created attachment 451381 [details]
fix for duplicity and python < 2.5

Comment 2 Fedora Update System 2010-10-31 20:21:43 UTC
duplicity-0.6.10-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/duplicity-0.6.10-1.fc14

Comment 3 Fedora Update System 2010-10-31 20:22:04 UTC
duplicity-0.6.10-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/duplicity-0.6.10-1.fc13

Comment 4 Fedora Update System 2010-10-31 20:22:12 UTC
duplicity-0.6.10-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/duplicity-0.6.10-1.el5

Comment 5 Fedora Update System 2010-10-31 20:22:17 UTC
duplicity-0.6.10-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/duplicity-0.6.10-1.el4

Comment 6 Ray Van Dolson 2010-11-23 18:58:45 UTC
Please also reference #656446 for issues with python-boto and this new duplicity (which does resolve the unsupported scheme issue, but introduces complaints on the boto side).

Comment 7 Fedora Update System 2010-12-08 23:24:02 UTC
duplicity-0.6.11-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/duplicity-0.6.11-1.fc14

Comment 8 Fedora Update System 2010-12-08 23:26:44 UTC
duplicity-0.6.11-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/duplicity-0.6.11-1.fc13

Comment 9 Fedora Update System 2010-12-08 23:26:51 UTC
duplicity-0.6.11-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/duplicity-0.6.11-1.el5

Comment 10 Fedora Update System 2010-12-08 23:26:54 UTC
duplicity-0.6.11-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/duplicity-0.6.11-1.el4

Comment 11 Fedora Update System 2010-12-25 00:28:07 UTC
duplicity-0.6.11-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-12-25 00:29:37 UTC
duplicity-0.6.11-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-03-01 00:00:38 UTC
duplicity-0.6.11-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-03-01 00:02:22 UTC
duplicity-0.6.11-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.